Bug 188504 - stale ethernet data after transplant and reconfigure
stale ethernet data after transplant and reconfigure
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 14:15 EDT by John Reiser
Modified: 2008-05-06 11:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:46:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2006-04-10 14:15:34 EDT
Description of problem:
Stale data was left in /etc/sysconfig/network-scripts/ifcfg-eth1 (and 2
hardlinks) after transplanting system harddrive, initially configuring in new
box, moving old card to new box (as 2nd card), running system-configure-network.
 The correct data for the second ethernet adapter did not appear.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try.

Steps to Reproduce:
1. Install FC5 final release on harddrive in old box with eth1=SiS900 chipset
adapter [active], plus eth0=82259 "InBusiness" PCI card [inactive].
2. Move harddrive to new box which has only eth0=82257/8/9 "Pro 100" PCI card
3. Boot new box.  /etc/modprobe.conf gets rewritten automatically with correct
eth0=e100.  /etc/sysconfig/network-scripts/ifcfg-eth0 gets updated with correct
hwaddr for new PCI card.  Network works, including DNS, etc.  [Good so far!]
4. Move old "InBusiness" card from old box to new box; there are now two cards
which [will] use e100 driver.  Boot; click to System > Administration > Network.
Both cards appear in Devices.  Checking the Profile box for the second card,
then Activating it (including Save configuration changes), leaves the old SiS900
data in /etc/sysconfig/network-scripts/ifcfg-eth1.
Actual results:
modprobe.conf gets correct "alias eth1=e100", but ifcfg-eth1 has old data
[including commented name, and hwaddr of SiS900] that is incorrect.

Expected results:
ifcfg-eth1 updated to contain correct new data on 2nd PCI card.

Additional info:
Even after manual update of ifcfg-eth1 to the new data for "InBusiness" card,
the old SiS900 data persists somewhere!  Clicking to System > Administration >
Network (after quitting all previous instances), then double-clicking on the
inactive eth1 InBusiness card, then clicking on the Hardware Device tab, shows
the wrong card (eth1 as "Pro 100") with the SiS900 MAC address.  Clicking the
Probe button displays the MAC address for the InBusiness card.

Then Cancel back to Network Configuration main panel, double click on active
eth0 (which is Pro 100 card), click on Hardware Device tab; identifies Hardware
as eth0 [good] with InBusiness card [bad] with Pro 100 MAC address.

So for this Additional Info, on the Hardware Device tab of Ethernet Device
panel, the Hardware name has the identification swapped between the two cards.
/etc/sysconfig/hwconf remains correct.
Comment 1 Bug Zapper 2008-04-03 22:36:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:46:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.